// *-*-magma-*-*

Attach("absfact.m");
SetVerbose("AbsoluteFactorization",5);
import "absfact.m": absfact_print_with_parent;

K:=Rationals();

MP<x,y>:= PolynomialRing(K,2);

FF:=[
  y^2 -2,
  y^4 + 2*y^2*x + 14*y^2 - 7*x^2 +6*x+47,
  (y^4 + 2*y^2*x + 14*y^2 - 7*x^2 +6*x+47)*(y^2 -2*x^2),
  (y^4 + 2*y^2*x + 14*y^2 - 7*x^2 +6*x+47)*(y-x^2)
];

for F in FF do
  Ft,u:= AbsoluteFactorization(F);
  "\n\n";F;
  absfact_print_with_parent(Ft,u);
end for;

